petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscBagLoad

Loads a bag of values from a binary file

### Synopsis

    #include "petscbag.h"
    PetscErrorCode  PetscBagLoad(PetscViewer view,PetscBag bag)

Collective on PetscViewer

### Input Parameter

| viewer | - file to load values from
| bag | - the bag of values

Notes: You must have created and registered all the fields in the bag before loading into it.

### Notes

### See Also

PetscBag, PetscBagSetName(), PetscBagDestroy(), PetscBagView(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html